> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orkesta.com.tr/llms.txt
> Use this file to discover all available pages before exploring further.

# Ödül/Puan Sorgulama

> Kart ve firma puanlarını sorgular

## 🎁 Puan/Ödül Sorgulama

Kart ve firma puanlarını sorgular.

**`POST`** `https://api-test.fincraft.com.tr/api/v1/payments/reward`

## Request Body

```json theme={null}
{
    "card": {
       "cardHolderName": "Muammer Şahin",
        "cardNumber": "9792364832690872",
        "expireMonth": "10",
        "expireYear": "29",
        "cvc": "579"
    },
    "clientIpAddress": "192.168.1.1"
}
```

## Response Body

```json theme={null}
{
    "response": {
        "cardRewardAmount": 1113.96,
        "firmRewardAmount": null,
        "bank": "GARANTIBBVA",
        "cardBrand": "BONUS"
    }
}
```

## cURL Örneği

```bash theme={null}
curl -X POST https://api-test.fincraft.com.tr/api/v1/payments/reward \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "card": {
       "cardHolderName": "Muammer Şahin",
        "cardNumber": "9792364832690872",
        "expireMonth": "10",
        "expireYear": "29",
        "cvc": "579"
    },
    "clientIpAddress": "192.168.1.1"
  }'
```
